GNU bug report logs - #37214
[PATCH] vc-svn error messages are used as ignore list

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 37214 <at> debbugs.gnu.org and Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37214 <at> debbugs.gnu.org:


Received: (at 37214) by debbugs.gnu.org; 15 Sep 2019 13:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 09:16:21 2019
Received: from localhost ([127.0.0.1]:47511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9UO5-00062K-HM
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2019 09:16:21 -0400
Received: from quimby.gnus.org ([80.91.231.51]:33434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i9UO3-00060Q-Kc
 for 37214 <at> debbugs.gnu.org; Sun, 15 Sep 2019 09:16:19 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i9UO0-0000RM-L2; Sun, 15 Sep 2019 15:16:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
Subject: Re: bug#37214: [PATCH] vc-svn error messages are used as ignore list
References: <bc081cb9-f403-e174-0873-2e9407ddd901@HIDDEN>
 <handler.37214.B.156701847419761.ack <at> debbugs.gnu.org>
 <c5c548ef-0c74-4dc2-72ae-b9c068efa852@HIDDEN>
Date: Sun, 15 Sep 2019 15:16:16 +0200
In-Reply-To: <c5c548ef-0c74-4dc2-72ae-b9c068efa852@HIDDEN> (Wolfgang Scherer's
 message of "Wed, 28 Aug 2019 21:06:13 +0200")
Message-ID: <87ef0hwvhb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> writes: > *
 lisp/vc/vc-svn.el:
 (vc-svn-ignore-completion-table) Ignore buffer > contents, if exit status
 is not 0. Split buffer by lines. I don't use svn, but: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37214
Cc: 37214 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Wolfgang Scherer <Wolfgang.Scherer@HIDDEN> writes:

> * lisp/vc/vc-svn.el: (vc-svn-ignore-completion-table) Ignore buffer
> contents, if exit status is not 0.  Split buffer by lines.

I don't use svn, but:


[...]

> -    (vc-svn-command t t nil "propget" "svn:ignore" (expand-file-name directory))
> -    (split-string (buffer-string))))
> +    (if (= (vc-svn-command t t nil "propget" "svn:ignore" (expand-file-name directory)) 0)
> +        (split-string (buffer-string) "\n"))))

This looked "obviously correct", so I've applied it without testing
(after a slight stylistic change).  If this leads to errors with actual
svn users, please revert.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37214; Package emacs. Full text available.

Message received at 37214 <at> debbugs.gnu.org:


Received: (at 37214) by debbugs.gnu.org; 28 Aug 2019 19:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 28 15:06:25 2019
Received: from localhost ([127.0.0.1]:51228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i33Gy-0005Tt-Qx
	for submit <at> debbugs.gnu.org; Wed, 28 Aug 2019 15:06:25 -0400
Received: from mout.gmx.net ([212.227.17.21]:35335)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i33Gx-0005Tc-FH
 for 37214 <at> debbugs.gnu.org; Wed, 28 Aug 2019 15:06:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1567019174;
 bh=y/GPtLT0ltpMjG38QOkCCqRt87DeOKmJoQdbFJ3QFbs=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Mzl0o2mPeYBndHF4exL8XfRbgJFhP7UHHjL9h6AhLT6HonDOXuNYT9FLPK6xb4G4i
 8+4Zd4S7bIxIJeXpEmc6hGZvYPZxEyboL86itO0v2ITKVMrFSDYpJBAI9EJyHxd/MB
 00oXik5lue14QKO45bwFnMiRlj2WF8fd3ZH7ArOA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from sheckley.simul.de ([87.144.41.174]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M4o41-1iQDQh2lLR-00ywWb for
 <37214 <at> debbugs.gnu.org>; Wed, 28 Aug 2019 21:06:14 +0200
Received: from [127.0.0.1] (sheckley.simul.de [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by sheckley.simul.de (Postfix) with ESMTPSA id E61AC1942AF1
 for <37214 <at> debbugs.gnu.org>; Wed, 28 Aug 2019 21:06:13 +0200 (CEST)
Subject: Re: bug#37214: [PATCH] vc-svn error messages are used as ignore list
To: 37214 <at> debbugs.gnu.org
References: <bc081cb9-f403-e174-0873-2e9407ddd901@HIDDEN>
 <handler.37214.B.156701847419761.ack <at> debbugs.gnu.org>
From: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=Wolfgang.Scherer@HIDDEN; prefer-encrypt=mutual; keydata=
 xsDiBEb46IgRBACMHOAb1KNo1Ylk+ebri+4R+bG4tyKlqBlrpv8D9/ZwRdXSGt+0DyCHoaAd
 7KW7noHapLe87DunABOjKG4nqTGv+dRiWuUBlp3I4aYRFDVa3Da+XnIYkMHKqhK59VEHQCdp
 Km42nuLS7TS+n99at9YwzTG6VBdOlBKTlRFngOjVLwCg1RGXJ6X3EjS1FKCQeXziURVpWlkD
 /2zY6Ayhxi62TS84VjikXrrmjXykAAaAmMVEyKKYb9L5pGlqiZz9g/K9xw1EUoZTYuaufquD
 v4rAGR58K/3V4CYfJLEeshMWiaXHvMmlxMznlG16/um4MvmR8B3r+cx0nOPK1JBdD2qrkNnF
 Mw8FB+zouLFB4Gt2IUC5IlOmZ8OQA/4qdU53CItzWsCr9Nux4L0qUlRweSmCnV8xGQ2wP5XI
 MawIQxxREvSrsYDG8cNnYETMg4iQFfIktwAoxCJvuFAwIB6ZxHGF4FcEZm64CXc2u7CmFLqt
 rVhXhIfMz9oEYC+HhGczGamn9ofbGTFd2hJEtPcQgWNR4f7+aKknmi2+OM0fV29sZmdhbmcg
 U2NoZXJlciA8d3NAc3ctYW10LndzPsJhBBMRAgAhBQJYmz3YAhsjBQsJCAcCBhUICQoLAgQW
 AgMBAh4BAheAAAoJEIUCr3Gr112VZZoAoLTBSTp1qGuNhLdXY04iaWCMYmHCAJ4kHPtQ6nTw
 kEq9qCHgVgXDaY7wjs7ATQRG+OiIEAQAhi0wjcxvA4tychg2NQuwBIf9LX/46l+74+QbewCn
 a4a+mw/9s5KYqLGtYMuu3/KYq9yBd53OYc7LWTLMxsGOIATSOQRhdCKYW1AanupYrC/bKNW/
 8i2QEXc7LIeYiaII0TkVdQTVZxrg9kKLQ+Vf6z04Lbfv91sVCkHKI9jxgVMAAwUD/0mkDeN0
 tllPH+NOjbkkqlOj6UOwzwIYgXmALhuAEFGXVLM2HfRV9TtJa2OoGZiuhyGXat3Jl9QK9NNv
 d/J4HSal93ZHWstPU4YIRc5uhJ1eeWwKsfTmPvbZXMKMkh+hBBJ39SZnmxfoeUzkK0EQNE2p
 PZDyjAlz03qOx6D0DHnZwkkEGBECAAkFAkb46IgCGwwACgkQhQKvcavXXZU8PwCdGmUH5mbh
 dsLYyx7qthe4hOWnW54AoJQMfmHP4uUI6ji8VkdlvO8LKtLP
Message-ID: <c5c548ef-0c74-4dc2-72ae-b9c068efa852@HIDDEN>
Date: Wed, 28 Aug 2019 21:06:13 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <handler.37214.B.156701847419761.ack <at> debbugs.gnu.org>
Content-Type: multipart/mixed; boundary="------------EC99ED1A189D0CAF375C8AC4"
Content-Language: de-DE
X-Provags-ID: V03:K1:3nrnMOrLF5kVDfzuG9JdO3j8HJ6aQIVhF4SN9Ywu4rdA/TKFv+H
 HUhhftW7fobAbG/OFSe4DC2j1R9+hC4/acoRjXdxEsBGnT50gV4P2e3AS9WjBRLa1DT7y9Z
 KlfCiXMLOvc8VqwvLy3hw3RT4AFCbi1CLjytM2NHWhwrjvtI4+0Tqui7mDGq5GWnlt5xjJP
 lcNjX6UsOeNKkd8kz4nKg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:E2fiukmrisI=:BmpmLCWhqnKLMpXNTRKmtS
 WjJL6KMHmH1K8G7a5GfDNRBhz5kPyEBWVJ7HZT1Q67VUiecNIxldWbetdP6V9Gc6hYIO558DV
 o0zTe/bulSHXbbIiLjgauKtwBOVHYi0Glj/G/HLm/AIuAo3hLWkf0rmDY+XFTSOdf/p+a7fOF
 BDlF5EIi4gM+3e5wde/Zbh0N7ZnUxKkBnUOS74FaftNa3SM3dNRuGv3cLNMcvWU7YCQBuDC5I
 xizRESHbeH5QALiy0n+Qq06T3UPD/E1aDSftszKwxspI0sW25gVyQLA3sfHPcHQmo6v7B4fYG
 2KSxjiNKWuZ29WcThLb0aha52JV0mcXz66ekCuVtq/wVSXdyvZHb5ph7wtMB1fQKjfovDwaGs
 XY4mBVs1fVTS7Yf9MC4l0yH5X9izPIKNiTNn05zslnQXw0sSnhoUGOn4K85YyOb92SRoksoyr
 dkeUU7L5lqvtFJ4ITHnWzyTqVExB8cxqZHnEcQjGYcJ1fHgg9PTG6p8vBd0KhesXUJdDCvSil
 HS5o8DMkxWvsFtWr3izemNobZFcf6zmvcZOgUpCvepZJlh5AFA2ec/3OyDv8Mn6JsdnDHEpg9
 As1pYNu2WQ8nm1Agef28gzqKjNTn1KNAVlcAVkEqtqSr6dT/0N4sDzi202/fRCfBOrd27S75x
 k0onuntpF252d0M3g7tbVzXggF3tR0jDitdkvzJAu4V5aRXnBF6DjPacLq18FCa1GIjYpS0tu
 VvvjDOPnGTylh1AyNXfCWRHUbsWM3qSNFr3Rw5b5/yZSiRpskjES+nCve10ApHzorP5clxJCK
 4Oeqh7NkgxKl/gUBJeT6Aw7LDZq/tb0q/Xq+WfTPc0s6t66laabVMQWtPGECIr85EMvWUqoHF
 b1rWhk307+RczAl+uYo19QjwydAdx6uIrv7n62+ooN6XZrDiOGRfoW3htbdNy7ekca66BATyF
 WLQEQRhANmhoMNXjoMPzDl/2h4kB13l8Dg4ZohrZun8qTuWhmJfEn9fvxZcRW3JfwN3xJAQwj
 A6RmNp0HpFsDQx/Jj7ZeK0vHV4K50iB3q3oW8YZeZhyohQl5ozWyk5THg7ItnwWeMeajFGDjc
 6fMh7ab+lp5XAqrwVXb5maxHS1c0kPbyudEe7ZXRkgKNpPAIoTdeOwP5g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37214
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------EC99ED1A189D0CAF375C8AC4
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Forgot the patch file.

--------------EC99ED1A189D0CAF375C8AC4
Content-Type: text/x-patch;
 name="0001-Do-not-use-error-messages-as-list-of-ignored-files.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0001-Do-not-use-error-messages-as-list-of-ignored-files.patc";
 filename*1="h"

=46rom 877dc0839bd4682488c8ea35e9f24a4445bc03fc Mon Sep 17 00:00:00 2001
From: Wolfgang Scherer <wolfgang.scherer@HIDDEN>
Date: Wed, 28 Aug 2019 20:03:30 +0200
Subject: [PATCH] Do not use error messages as list of ignored files

* lisp/vc/vc-svn.el: (vc-svn-ignore-completion-table) Ignore buffer
contents, if exit status is not 0.  Split buffer by lines.
=2D--
 lisp/vc/vc-svn.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/vc/vc-svn.el b/lisp/vc/vc-svn.el
index 3c50c8f..f25a00d 100644
=2D-- a/lisp/vc/vc-svn.el
+++ b/lisp/vc/vc-svn.el
@@ -366,8 +366,8 @@ FILE is a file wildcard, relative to the root director=
y of DIRECTORY."
 (defun vc-svn-ignore-completion-table (directory)
   "Return the list of ignored files in DIRECTORY."
   (with-temp-buffer
-    (vc-svn-command t t nil "propget" "svn:ignore" (expand-file-name dire=
ctory))
-    (split-string (buffer-string))))
+    (if (=3D (vc-svn-command t t nil "propget" "svn:ignore" (expand-file-=
name directory)) 0)
+        (split-string (buffer-string) "\n"))))

 (defun vc-svn-find-admin-dir (file)
   "Return the administrative directory of FILE."
=2D-
2.7.4


--------------EC99ED1A189D0CAF375C8AC4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37214; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Aug 2019 18:54:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 28 14:54:34 2019
Received: from localhost ([127.0.0.1]:51217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i335W-00058f-9B
	for submit <at> debbugs.gnu.org; Wed, 28 Aug 2019 14:54:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:40785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i335U-00058W-5k
 for submit <at> debbugs.gnu.org; Wed, 28 Aug 2019 14:54:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35749)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i335S-0007kX-N8
 for bug-gnu-emacs@HIDDEN; Wed, 28 Aug 2019 14:54:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Wolfgang.Scherer@HIDDEN>) id 1i335R-00020c-NE
 for bug-gnu-emacs@HIDDEN; Wed, 28 Aug 2019 14:54:30 -0400
Received: from mout.gmx.net ([212.227.15.15]:53127)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <Wolfgang.Scherer@HIDDEN>)
 id 1i335R-0001zJ-BT
 for bug-gnu-emacs@HIDDEN; Wed, 28 Aug 2019 14:54:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1567018463;
 bh=mTWza+bFCbLc2hW1grlEjynToqDUU0M1g29zsYRU0IM=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=U0QjQ/3QryQW2VZhqYamRqPLNbgVGeWCooSGYYouL90XIiUeB0JXL7dj8iSeNVA/A
 bzr0OEW12jiPE9/fRgiVCBBt1oTR9Mme7EYxQEtySpxZ9i+pMs3CuoHlxtPYq/6Yiv
 o2nXaMrvthE6Pg2Z3lZH+aJPEVeVRS3KGVIZudBo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from sheckley.simul.de ([87.144.41.174]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lcjgd-1iRxuq1UXv-00k736 for
 <bug-gnu-emacs@HIDDEN>; Wed, 28 Aug 2019 20:54:23 +0200
Received: from [127.0.0.1] (sheckley.simul.de [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by sheckley.simul.de (Postfix) with ESMTPSA id D16191942AF1
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Aug 2019 20:54:22 +0200 (CEST)
To: Emacs Bugs <bug-gnu-emacs@HIDDEN>
From: Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>
Subject: [PATCH] vc-svn error messages are used as ignore list
Openpgp: preference=signencrypt
Autocrypt: addr=Wolfgang.Scherer@HIDDEN; prefer-encrypt=mutual; keydata=
 xsDiBEb46IgRBACMHOAb1KNo1Ylk+ebri+4R+bG4tyKlqBlrpv8D9/ZwRdXSGt+0DyCHoaAd
 7KW7noHapLe87DunABOjKG4nqTGv+dRiWuUBlp3I4aYRFDVa3Da+XnIYkMHKqhK59VEHQCdp
 Km42nuLS7TS+n99at9YwzTG6VBdOlBKTlRFngOjVLwCg1RGXJ6X3EjS1FKCQeXziURVpWlkD
 /2zY6Ayhxi62TS84VjikXrrmjXykAAaAmMVEyKKYb9L5pGlqiZz9g/K9xw1EUoZTYuaufquD
 v4rAGR58K/3V4CYfJLEeshMWiaXHvMmlxMznlG16/um4MvmR8B3r+cx0nOPK1JBdD2qrkNnF
 Mw8FB+zouLFB4Gt2IUC5IlOmZ8OQA/4qdU53CItzWsCr9Nux4L0qUlRweSmCnV8xGQ2wP5XI
 MawIQxxREvSrsYDG8cNnYETMg4iQFfIktwAoxCJvuFAwIB6ZxHGF4FcEZm64CXc2u7CmFLqt
 rVhXhIfMz9oEYC+HhGczGamn9ofbGTFd2hJEtPcQgWNR4f7+aKknmi2+OM0fV29sZmdhbmcg
 U2NoZXJlciA8d3NAc3ctYW10LndzPsJhBBMRAgAhBQJYmz3YAhsjBQsJCAcCBhUICQoLAgQW
 AgMBAh4BAheAAAoJEIUCr3Gr112VZZoAoLTBSTp1qGuNhLdXY04iaWCMYmHCAJ4kHPtQ6nTw
 kEq9qCHgVgXDaY7wjs7ATQRG+OiIEAQAhi0wjcxvA4tychg2NQuwBIf9LX/46l+74+QbewCn
 a4a+mw/9s5KYqLGtYMuu3/KYq9yBd53OYc7LWTLMxsGOIATSOQRhdCKYW1AanupYrC/bKNW/
 8i2QEXc7LIeYiaII0TkVdQTVZxrg9kKLQ+Vf6z04Lbfv91sVCkHKI9jxgVMAAwUD/0mkDeN0
 tllPH+NOjbkkqlOj6UOwzwIYgXmALhuAEFGXVLM2HfRV9TtJa2OoGZiuhyGXat3Jl9QK9NNv
 d/J4HSal93ZHWstPU4YIRc5uhJ1eeWwKsfTmPvbZXMKMkh+hBBJ39SZnmxfoeUzkK0EQNE2p
 PZDyjAlz03qOx6D0DHnZwkkEGBECAAkFAkb46IgCGwwACgkQhQKvcavXXZU8PwCdGmUH5mbh
 dsLYyx7qthe4hOWnW54AoJQMfmHP4uUI6ji8VkdlvO8LKtLP
Message-ID: <bc081cb9-f403-e174-0873-2e9407ddd901@HIDDEN>
Date: Wed, 28 Aug 2019 20:54:22 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: de-DE
X-Provags-ID: V03:K1:iGKv3kRyQ6caw1DqpMsd4bK7C/fHjpc+efZbjNpCOLwRpPR9mEz
 l/qtmXFcpMIzMByMhw7vruDLMj3bRsVNoobngGaAVm0VJbwp9+LfakWj9Y9d1BkWcArNvw6
 p4jNk9nT1IkEv6llnXq+U9s3BkFklxoz58oBKJubiOGSiwTSenkmSeqOdqqvWUkgxg4BqCk
 9/lxsNP1S0F+40xwR5BCg==
X-UI-Out-Filterresults: notjunk:1;V03:K0:iwWT/dGFtdM=:88PJ4NCrbnx/V/AZ4WTmoT
 QZ6azsdhUYiY+Ra3Udpf0nsQt45ULw2TpLoMHdB2+mBNpYjKgS5tbwsxnvLIoIma460nDeE63
 +ktwDaBDDuxu3WDNlqagGPH02KfRKU8zDgRJeIhmDGs9H4fSGXE9aMkuC1YzP8KEx314yvTQw
 5isxWr6rhnDiertVgayiEbXCl1GN/MzjqdSktXDWO9uTXGynjdW3EbtUftlTSDukvwFlR/xVt
 NsdDC7i+rRXKrsH2VmXAvSWsKi2sbmorF7PS4d7E4o5FmOUemnzSFEpPuSE1KYCoXLfAQyIw+
 XkBUC2mVdWBSyqErmabXRf/QUswvzzrnfMnXS67RrXa5HwY1bbk1SEovZ7ULqybP/oT4StUWT
 P42y9ZD/3W2l+VF45tv7H9EWsW4cPqGAOKKlXB8IVhW4IlKXnub5Zb58As739CIDZ8GegjTPa
 TJHJC3/n6vrmCU/+6M28t5EHnLEyZqVraGucCJmtM4qWVidoKFxChYPN2RLNzArymDgeA2lb3
 xT99LddngHwA0pJS5RNVMcz4PAlF3DnWapxPP2jeaM5udk0WSDZfICsjuhlOqARQR0RulpMFJ
 iVchoPWHWH1p/T//gimPDj0DPTbAQRHkFZCIxe4YV8ZOXubah4irxLvaIkW+Y9r2xoj4y+6JZ
 oI3htbEyR6hJgqRQGU+45HS8/sbBjWsyRwY+nTu1au7WZLSwoGvU5RWBQ0gYORQ1fZCT2irDz
 TDHandyjuz5fLqZCN4VxOjeCUiO8Q+W0jaSzfxJiYQD5Zk+kTftcgKPpWaaQrO8qJnktcEifo
 fB8LEjIVOfAde1TPdYipoa/Nl3/UXBLnIOU+L3LxUlAuwSwpYoSMY6KthO3wXUjxaj4ALjgoC
 sS8G2Ydkx6TgkY2NVLUcCgE/+4Q3OP1ZwA7d/nEmfDHEOQKB3vK+fdD4dPxdlMYFjEu+1F48h
 r8DQFDjMtR5DkmGguXKbw/xTOUUm/efM0Cbr/jYKVBFstlCCEbDS+CMenqmRHKtUHiNypSWjS
 eZO1jLmRKDzqU+KrEXjl3tI8AqJrgtx/SHHJWkrdH5izkPjO5qoxFJGTD1GqFxwNli0nlGoCk
 mMnnXCwZuWNvK8NIsuxA4qL5WEA/WM9Ygr8IBbryFKEE3dXuLrqfC0ZHnoQOEWyDks4hSxdin
 RP8Gk=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.15
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Function `vc-svn-ignore-completion-table' in `lisp/vc/vc-svn.el'
does not work properly.

If the property "svn:ignore" does not exist, an error message is
written to the output buffer, which is then used as a list of
ignored files.

The output buffer is split whitespace, which creates problems
with whitespace in file names.

The attached patch fixes both problems.






Acknowledgement sent to Wolfgang Scherer <Wolfgang.Scherer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37214; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 Sep 2019 13:30:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.